Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ResultVersionRecord

All Superinterfaces:
  PropertiesCreator, java.io.Serializable, VersionRecord

    public interface ResultVersionRecord

extends VersionRecord, PropertiesCreator

Interface `VersionRecord` represents a result version record of a report.

Method Summary
`java.util.Hashtable` | `getAllReportResultFiles()` Returns all reports' result files' name of the result version.
`ResultFiles` | `getAllResultFiles()` Deprecated. replaced by getAllReportResultFiles()
`java.lang.String` | `getCatalogFile()` Gets the catalog file name.
`java.util.Date` | `getCreatedTime()` Returns the created time of the result version.
`int` | `getExpirationMethod()` Returns the auto expiration method of the result version.
`java.util.Date` | `getExpirationTime()` Returns the expiration time of the result version.
`java.lang.String` | `getParamFile()` Returns the parameter file name of the result version.
`java.lang.String` | `getReportFile()` Gets the report file name.
`java.lang.String` | `getResultFile()` Deprecated. replaced by getAllResultFiles()
`java.lang.String` | `getSubmitter()` Deprecated. As of version 6, replaced by `getCreator()`.
`java.lang.String` | `getVersionID()` Returns the version ID.
`boolean` | `hasOnlyRSDorWST()` Checks if the result version record only contains RSD or WST.

Methods inherited from interface jet.server.api.VersionRecord
`getCreator, getRealPath, getResourcePath, getVersionName, getVersionNumber`

Methods inherited from interface jet.server.api.PropertiesCreator
`toProperties`

Method Detail

### getVersionID

    java.lang.String getVersionID()

  Returns the version ID.

  Specified by:
    `getVersionID` in interface `VersionRecord`
  Returns:
    the version ID.

### getCatalogFile

    java.lang.String getCatalogFile()

  Gets the catalog file name.

  Returns:
    the catalog file name.

### getReportFile

    java.lang.String getReportFile()

  Gets the report file name.

  Returns:
    the report file name.

### getResultFile

    java.lang.String getResultFile()

  Deprecated. replaced by getAllResultFiles()

  Returns the result file name of the result version.

  Returns:
    the result file name of the result version.

### getAllResultFiles

    ResultFiles getAllResultFiles()

  Deprecated. replaced by getAllReportResultFiles()

  Returns all result files' names of the result version. The result files may be of various formats, the returned ResultFiles instance represents all result files by their file names.

  Returns:
    the result file names of the result version.

### getAllReportResultFiles

    java.util.Hashtable getAllReportResultFiles()

  Returns all reports' result files' name of the result version. The result files may be of various format, and the returned Hashtable contains the pairs of report names and ResultFiles contains result file names.

  Returns:
    all reports' result files' names of the result version
  Since:
    v8.0

### getParamFile

    java.lang.String getParamFile()

  Returns the parameter file name of the result version.

  Returns:
    the parameter file name of the result version.

### getCreatedTime

    java.util.Date getCreatedTime()

  Returns the created time of the result version.

  Specified by:
    `getCreatedTime` in interface `VersionRecord`
  Returns:
    the created time of the result version.

### getExpirationTime

    java.util.Date getExpirationTime()

  Returns the expiration time of the result version.

  Returns:
    the expiration time of the result version.

### getExpirationMethod

    int getExpirationMethod()

  Returns the auto expiration method of the result version.

  Returns:
    the expiration method of the result version.

### getSubmitter

    java.lang.String getSubmitter()

  Deprecated. As of version 6, replaced by `getCreator()`.

  Returns the submitter of the result version.

  Returns:
    the submitter of the result version.

### hasOnlyRSDorWST

    boolean hasOnlyRSDorWST()

  Checks if the result version record only contains RSD or WST.

  Returns:
    true if the result version record only contains RSD or WST.
  Since:
    v10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD